%{?nodejs_find_provides_and_requires}

%global packagename are-we-there-yet
%global enable_tests 1

Name:		nodejs-are-we-there-yet
Version:	1.0.5
Release:	2%{?dist}
Summary:	Keep track of the overall completion of many disparate processes

License:	ISC
URL:		https://github.com/iarna/are-we-there-yet.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(delegates)
BuildRequires:	npm(readable-stream)
BuildRequires:	npm(tap)
%endif

%description
Keep track of the overall completion of many disparate processes


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%{_bindir}/tap test/*.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Dec 18 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.5-2
- Add missing build dependencies

* Wed Dec 16 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.5-1
- Initial packaging
